// JScript File

var ies = document.all;
offsetX = 17;
offsetY = 7;
var toolTipSTYLE="";
function initToolTips()
{
    toolTipSTYLE = document.getElementById("toolTipLayer").style;
    toolTipSTYLE.visibility = "visible";
    toolTipSTYLE.display = "none";
    document.onmousemove = moveToMouseLoc;
}
function toolTip(msg,w)
{
  if(toolTip.arguments.length < 1) // hide
  {
    toolTipSTYLE.display = "none";
  }
  else // show
  {
      var content = "<div style=\"border:5px solid #DADADA; background-color:#fff; text-align:left;position:absolute;"+(w==undefined?"":("width:"+w+"px"))+"\"><div style=\"margin:3px;\">" + msg + "</div></div>";
    document.getElementById("toolTipLayer").innerHTML = content;
    toolTipSTYLE.display='block'
  }
}
function moveToMouseLoc(e)
{
   if (IsIE8Browser()){
        x = event.x + document.documentElement.scrollLeft;
        y = event.y + document.documentElement.scrollTop;
   } else if (ies) {
       x = event.x + document.documentElement.scrollLeft;
       y = event.y + document.documentElement.scrollTop;
  }else{
        x = e.pageX;
        y = e.pageY;
  }
  toolTipSTYLE.left = x + offsetX+"px";
  toolTipSTYLE.top = y + offsetY+"px";
  return true;
}
function IsIE8Browser() {
    var rv = -1;
    var ua = navigator.userAgent;
    var re = new RegExp("Trident\/([0-9]{1,}[\.0-9]{0,})");
    if (re.exec(ua) != null) {
        rv = parseFloat(RegExp.$1);
    }
    return (rv == 4);
}